Highlighted

Lightroom Sony A7II ARW files unsupported

New Here ,
Mar 26, 2017

Copy link to clipboard

Copied

Greetings!

I am using Creative Cloud Lightroom version: 5.7.1 [994254] on PC Win10 Pro Anniv.  I just upgraded from Sony a6000 to a7II.  All worked well with the a6000.  Now, when I attempt to import uncompressed .arw files from the a7II, I receive this message:

"The file appears to be unsupported or damaged."

I tried several different files in various locations, and attain the same result.  I am able to view the images in camera, with Windows Photos app, Adobe Camera Raw v9.9, and Photoshop CC.  So, I suspect some issue between Lightroom and the a7II's .arw files, as I can successfully import .jpg files from the a7II.  Additionally, I am still able to import .awr files taken with the a6000.

I attempted to update Lightroom, but it says it is up to date.  Camera software version is 3.30

I welcome any insight and assistance.

Thanks!

Topics

FAQ, Feature request

Views

12.9K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Lightroom Sony A7II ARW files unsupported

New Here ,
Mar 26, 2017

Copy link to clipboard

Copied

Greetings!

I am using Creative Cloud Lightroom version: 5.7.1 [994254] on PC Win10 Pro Anniv.  I just upgraded from Sony a6000 to a7II.  All worked well with the a6000.  Now, when I attempt to import uncompressed .arw files from the a7II, I receive this message:

"The file appears to be unsupported or damaged."

I tried several different files in various locations, and attain the same result.  I am able to view the images in camera, with Windows Photos app, Adobe Camera Raw v9.9, and Photoshop CC.  So, I suspect some issue between Lightroom and the a7II's .arw files, as I can successfully import .jpg files from the a7II.  Additionally, I am still able to import .awr files taken with the a6000.

I attempted to update Lightroom, but it says it is up to date.  Camera software version is 3.30

I welcome any insight and assistance.

Thanks!

Topics

FAQ, Feature request

Views

12.9K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Adobe Employee ,
Mar 27, 2017

Copy link to clipboard

Copied

Moving to Photoshop Lightroom

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Adobe Community Professional ,
Mar 27, 2017

Copy link to clipboard

Copied

Are you sure you are on 5.7.1 and it is A7II?

The A7II is supported starting 5.7.1: Cameras supported by Camera Raw

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Adobe Community Professional ,
Mar 27, 2017

Copy link to clipboard

Copied

btw.: If you have a CC subscription, why are you using the old LR5 and not the latest LR CC 2015.9?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Adobe Community Professional ,
Mar 27, 2017

Copy link to clipboard

Copied

You have either Lightroom Creative Cloud or Lightroom 5.7.1; they are different, so which do you really have? 

The message you are getting indicates that the camera is not supported by your version of Lightroom.  The Sony A7 II is supported by LR 5.7.1 as seen in this link: Cameras supported by Camera Raw so you should not be getting that message. 

Exactly which version of Lightroom do you have? 

Also exactly which camera do you have.  If you have the A7R II or the A7S II, then you need to upgrade to a newer version of Lightroom

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
New Here ,
Mar 27, 2017

Copy link to clipboard

Copied

Hi and thanks for your responses.

Unless Sony mislabeled the camera at the factory, and given that the a7RII and a7S are substantially more expensive, I can asure you I have an a7II.

I pay a monthly subscription for the Creative Cloud Photography plan including Lightroom CC and Photoshop CC. When I click Help/System Info for Photoshop, I get:

Adobe Photoshop Version: 2017.0.1 20161130.r.29 2016/11/30:23:00:00 CL 1099099  x32

No problems viewing .arw files from the a7II there.  When I click Help/System Info for Lightroom, I get:

Lightroom version: 5.7.1 [994254]

License type: Creative Cloud

In Lightroom, when I click Help/Check for Updates, it says it is up to date.  When I go the the Creative Cloud desktop app, Photoshop is listed in the Latest Versions category under the Apps tab, but Lightroom is listed in the Previous Versions category under the Apps tab.  I have tried to update Lightroom from the Creative Cloud app as well, and it says it is up to date.

The Creative Cloud desktop app is on version 3.9.1.335 dated 10.28.2016.  I notice that version 3.9.5.353 dated 12.14.2016 is available, but it doesn't seem to want to update to this version.

So, I it seems I'm not on the latest Lightroom version, but I am unable to update it.  Maybe I need to uninstall and start over?  How do I get to version Lightroom CC 2015.9??

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
LEGEND ,
Mar 27, 2017

Copy link to clipboard

Copied

You do not have the most current version of Lightroom, regardless of what Help/Check for Updates says.

If you have a 64bit operating system, you can download and install Lightroom CC 2015.9 from this link: Download Photoshop Lightroom

You must first download and install the Application Installer, then download and install Lightroom 6.9/Lightroom CC 2015.9.

If you have a 32bit operating system, you cannot install any newer version of Lightroom than your current 5.7.1.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Adobe Community Professional ,
Mar 27, 2017

Copy link to clipboard

Copied

If you are paying a monthly subscription fee and Lightroom 5.7.1 is what you are using then there are two possibilities:

1. You are using a 32-bit operating system. Lightroom CC is 64-bit only. You will not get any more updates to Lightroom 5.7.1 because that version is no longer in production.

2. You have both Lightroom 5 and Lightroom CC installed on your computer. You are using a 64-bit operating system. But the icon that you are using to start Lightroom is starting the old version.

In either case, the camera you have mentioned should be supported.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...